<?
require'config.php';
$align='left';
aut();
$title='Объявления';
head();
who_add(0,'enter');
/*
09.11.2012
*/
$kom = (int)$_GET['objavs'];

switch($mod){
default:


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from obyava"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from obyava order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Объявлений нет...<br />';
else echo 'Объявлений <b>'.$k_post.'</b><dt></dt><br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.'<a href="?mod=readb&amp;did='.$a['id'].'">'.$a['name'].'</a> ('.times($a['time']).')'.div;
echo '<small>Автор: '.user($a['user_id'],1).' / Просмотров: '.$a['chit'].'</small>';
echo '<dl></dl>';
}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('?mod='.$mod.'&amp;',$k_page,$page); 

}
echo "<dl><dt></dt></dl>";
break;


case readb:
$did = check(intval($_GET['did']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from obyava where `id` = '$did'"));

if (isset($_GET['del'])&&$user['level']>=5){
$db->sql_query("DELETE FROM `obyava` where `id` = '".check(intval($did))."'");
header ('Location: obyava&'.SID);  exit;
}

$a['chit']++;
$db->sql_query('UPDATE `obyava` SET `chit` = "'.$a['chit'].'" WHERE `id` = "'.$did.'" LIMIT 1');



echo '<u>Объявление:</u> <b>'.$a['name'].'</b>';
if($user['level']>=5)echo ' | <a href="?mod='.$mod.'&amp;did='.$a['id'].'&amp;del">Удалить</a>';
echo '<br /><u>Разместил:</u> '.nik($a['user_id'],1).'<br />';
echo '<u>Содержание:</u><dt></dt>';
echo esc(trim(br(bbcode(antir($a[msg]))))).'<dt></dt>';
echo '<u>Просмотров:</u> '.$a['chit'].'<br />';
echo gb.'<a href="'.H.'objavs">Обьявления</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
exit();
break;

//Читаем обьяву
case read:
$did = check(intval($_GET['did']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from objavs where `id` = '$did'"));
$a['chit']++;
$db->sql_query('UPDATE `objavs` SET `chit` = "'.$a['chit'].'" WHERE `id` = "'.$did.'" LIMIT 1');
echo 'Объявление: <b>'.$a['name'].'</b>';
echo '<br/>Разместил: '.nik($a['user_id'],1).'<br/>';
echo 'Содержание:<dt></dt>';
echo esc(trim(br(bbcode(antir($a[msg]))))).'<dt></dt>';
echo 'Просмотров: '.$a['chit'].'<br/>';
echo '<a href="?mod=kom&amp;objavs='.$a['id'].'">Коментарии</a> ('.$db->sql_fetchfield($db->sql_query("select count(*) as num from `objavs_kom` where `did` ='$a[id]'"),0).')<br/>';
echo '<dl></dl>';
break;

//Комментим обьяву
case kom:
if (isset($_GET['ok']))echo '<b>Коментарий успешно добавлен.</b><br/>';
if (isset($_GET['delete']))echo '<b>Коментарий успешно удален.</b><br/>';
if (isset($_GET['error']))echo '<b>Ошибка при записи коментария.<br/>Обратитесь к админу.</b><br/>';
if (isset($_GET['delete'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `objavs_kom` WHERE `id` = '".intval($_GET['delete'])."'");
}
header ('Location: objavs?mod='.$mod.'&amp;objavs='.$kom.'&delete'.SID);
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
exit;
}
echo '<hr/>';
echo '<form action="objavs?mod='.$mod.'&amp;objavs='.$kom.'" method="post">';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from objavs_kom where did = '".$kom."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$q = $db->sql_query ("select * from objavs_kom where did = '".$kom."' order by time desc LIMIT $start, $max");
if ($k_post == 0) echo 'Коментов нету.<br/>'; 
else echo 'Всего коментариев <b>'.$k_post.'</b><dt></dt><br/>';
while($a = @$db->sql_fetchrow($q)){
echo links.'<b>';
echo nik($a['user_id']).'</b> ';

if($user[level]>=5)echo '<small><a href="'.H.'objavs?mod='.$mod.'&amp;delete='.$a['id'].'">[X]</a></small>';
echo '
('.times($a['time']).')<br/>'.div;
echo text($a['text']).'<br/>';
}
if ($k_page>1)
{
echo "<dl><dt></dt></dl>";
str('?mod='.$mod.'&amp;',$k_page,$page);
}
echo '<hr/>';
if (empty($_POST['kom']))
{
if($user['posts'] >= 200)
	{
		echo '<b>Добавить коментарий:</b><br/>';
		echo '<textarea name="kom" cols="'.$user['pole2'].'" rows="'.$user['pole1'].'"></textarea><br/>';
		echo '<input class="ibutton" type="submit" name="submit" value="Добавить"/></form><br/>';
		echo '<hr/>';
	}
}
 else
{
	if($user['posts'] >= 200)
	{
		$koment = check($_POST['kom']);
		if ($db->sql_query("insert into objavs_kom (user_id,did,text,time) values ('$user[id]','$kom','$koment','".time()."')"))
		{
			header ('Location: ?mod='.$mod.'&objavs='.$kom.'&ok'.SID);  exit;
		}
		 else
		{
			header ('Location: ?mod='.$mod.'&objavs='.$kom.'&error'.SID);  exit;
		}
	}else
	{
		header ('Location: ?mod='.$mod.'&objavs='.$kom.'&error'.SID);  exit;
	}
}
break;

}
echo '<br/>';
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
?>